package com.example.service01;


import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;
import android.widget.Toast;

public class AndroidServiceStartOnBoot extends Service {

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public void onCreate()
    {
        super.onCreate();
        android.os.Debug.waitForDebugger(); 
       // here you can add whatever you want this service to do
        
      //  Log.i("MyTestService", "Service running");
        
       // Toast.makeText(getApplicationContext(), "msg msg", Toast.LENGTH_LONG).show();
    }
    
    
    @Override
    public void onStart(Intent intent, int startId) {
 
       // super.onStart(intent, startId);
            //what you do here is up to yourself
            //here is an example of starting the service to receive C2DM push notifications
        
       
        Toast.makeText(this, "Receiver Started", Toast.LENGTH_LONG).show();
 
    }

}